function onBegin()
	disableRetry()
	disableMovement()
	say("Riki_DreamOverdose_End")
	instantTeleportTo(876, 4)
	enableMovement()
end

function onEnd(level, wasSkipped)
	if wasSkipped then
		instantTeleportTo(876, 4)
		enableRetry()
		enableMovement()
	end
end